# Available LLM integrations

We support integrations with OpenAI, Anthropic, Hugging Face, PaLM, and more.

## AI21

```{toctree}
---
maxdepth: 1
---
/examples/llm/ai21.ipynb
```

## Anthropic

```{toctree}
---
maxdepth: 1
---
/examples/llm/anthropic.ipynb
```

## AnyScale

```{toctree}
---
maxdepth: 1
---
/examples/llm/anyscale.ipynb
```

## Bedrock

```{toctree}
---
maxdepth: 1
---
/examples/llm/bedrock.ipynb
```

## Clarifai

```{toctree}
---
maxdepth: 1
---
/examples/llm/clarifai.ipynb
```

## Cohere

```{toctree}
---
maxdepth: 1
---
/examples/llm/cohere.ipynb
```

## EverlyAI

```{toctree}
---
maxdepth: 1
---
/examples/llm/everlyai.ipynb
```

## Gradient

```{toctree}
---
maxdepth: 1
---
/examples/llm/gradient_base_model.ipynb
/examples/llm/gradient_model_adapter.ipynb
```

## Hugging Face

```{toctree}
---
maxdepth: 1
---
/examples/customization/llms/SimpleIndexDemo-Huggingface_camel.ipynb
/examples/customization/llms/SimpleIndexDemo-Huggingface_stablelm.ipynb
/examples/vector_stores/SimpleIndexDemoLlama-Local.ipynb
```

## Konko

```{toctree}
---
maxdepth: 1
---
/examples/llm/konko.ipynb
```

## LangChain

```{toctree}
---
maxdepth: 1
---
/examples/llm/langchain.ipynb
```

## LiteLLM

```{toctree}
---
maxdepth: 1
---
/examples/llm/litellm.ipynb
```

## Llama API

```{toctree}
---
maxdepth: 1
---
/examples/llm/llama_api.ipynb
```

## Llama CPP

```{toctree}
---
maxdepth: 1
---
/examples/llm/llama_2_llama_cpp.ipynb
```

## LocalAI

```{toctree}
---
maxdepth: 1
---
/examples/llm/localai.ipynb
```

## MistralAI

```{toctree}
---
maxdepth: 1
---
/examples/llm/mistralai.ipynb
```

## MonsterAPI

```{toctree}
---
maxdepth: 1
---
/examples/llm/monsterapi.ipynb
```

## NeutrinoAI

```{toctree}
---
maxdepth: 1
---
/examples/llm/neutrino.ipynb
```

## Nvidia TensorRT-LLM

```{toctree}
---
maxdepth: 1
---
/examples/llm/nvidia_tensorrt.ipynb
```

## Nvidia Triton

```{toctree}
---
maxdepth: 1
---
/examples/llm/nvidia_triton.ipynb
```

## Ollama

```{toctree}
---
maxdepth: 1
---
/examples/llm/ollama.ipynb
```

## OpenAI

```{toctree}
---
maxdepth: 1
---
/examples/llm/openai.ipynb
/examples/llm/azure_openai.ipynb
```

## OpenLLM

```{toctree}
---
maxdepth: 1
---
/examples/llm/openllm.ipynb
```

## OpenRouter

```{toctree}
---
maxdepth: 1
---
/examples/llm/openrouter.ipynb
```

## PaLM

```{toctree}
---
maxdepth: 1
---
/examples/llm/palm.ipynb
```

## Perplexity

```{toctree}
---
maxdepth: 1
---
/examples/llm/perplexity.ipynb
```

## Portkey

```{toctree}
---
maxdepth: 1
---
/examples/llm/portkey.ipynb
```

## Predibase

```{toctree}
---
maxdepth: 1
---
/examples/llm/predibase.ipynb
```

## Replicate

```{toctree}
---
maxdepth: 1
---
/examples/llm/llama_2.ipynb
/examples/llm/vicuna.ipynb
/examples/vector_stores/SimpleIndexDemoLlama2.ipynb
```

## RunGPT

```{toctree}
---
maxdepth: 1
---
/examples/llm/rungpt.ipynb
```

## SageMaker

```{toctree}
---
maxdepth: 1
---
/examples/llm/sagemaker_endpoint_llm.ipynb
```

## Together.ai

```{toctree}
---
maxdepth: 1
---
/examples/llm/together.ipynb
```

## Vertex

```{toctree}
---
maxdepth: 1
---
/examples/llm/vertex.ipynb
```

## vLLM

```{toctree}
---
maxdepth: 1
---
/examples/llm/vllm.ipynb
```

## Xorbits Inference

```{toctree}
---
maxdepth: 1
---
/examples/llm/xinference_local_deployment.ipynb
```
